org.apache.lucene.codecs.uniformsplit

## Enum IntersectBlockReader.BlockIteration

- java.lang.Object
- - java.lang.Enum<IntersectBlockReader.BlockIteration>
  - - org.apache.lucene.codecs.uniformsplit.IntersectBlockReader.BlockIteration

- All Implemented Interfaces:
    Serializable, Comparable<IntersectBlockReader.BlockIteration>
  Enclosing class:
    IntersectBlockReader

      protected static enum IntersectBlockReader.BlockIteration
      extends Enum<IntersectBlockReader.BlockIteration>

  Block iteration order. Whether to move next block, jump to a block away, or end the iteration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END`
    `NEXT`
    `SEEK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IntersectBlockReader.BlockIteration` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IntersectBlockReader.BlockIteration[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEXT

          public static final IntersectBlockReader.BlockIteration NEXT

    - #### SEEK

          public static final IntersectBlockReader.BlockIteration SEEK

    - #### END

          public static final IntersectBlockReader.BlockIteration END

  - ### Method Detail

    - #### values

          public static IntersectBlockReader.BlockIteration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IntersectBlockReader.BlockIteration c : IntersectBlockReader.BlockIteration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IntersectBlockReader.BlockIteration valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.